import axios from "../../utils/axios";

export function orderList(query) {
    return axios({
        url: "/admin/warehouse/inout/order/list",
        method: "get",
        params: query
    });
}

export function orderListByStatus(query) {
    return axios({
        url: "/udiwms/inout/order/status",
        method: "get",
        params: query
    });
}

export function orderListRepeat(query) {
    return axios({
        url: "/udiwms/inout/order/repeat",
        method: "get",
        params: query
    });
}

export function codeList(query) {
    return axios({
        url: "/admin/warehouse/inout/findByOrderId",
        method: "get",
        params: query
    });
}



export function findAllByOrderId(query) {
    return axios({
        url: "/admin/warehouse/inout/findAllByOrderId",
        method: "get",
        params: query
    });
}


export function mergeOrder(query) {
    return axios({
        url: "/warehouse/inout/order/mergeOrder",
        method: "post",
        data: query
    });
}

export function updateUnit(query) {
    return axios({
        url: "/udiwms/inout/order/updateUnit",
        method: "post",
        data: query
    });
}

export function filterOrder(query) {
    return axios({
        url: "/udiwms/inout/order/filter",
        method: "get",
        params: query
    });
}

export function errorCodeList(query) {
    return axios({
        url: "/admin/warehouse/inout/findErrorByOrderId",
        method: "get",
        params: query
    });
}

export function deleteByOrderId(query) {
    return axios({
        url: "/udiwms/inout/order/delete",
        method: "post",
        data: query
    });
}

export function deleteCodes(query) {
    return axios({
        url: "/warehouse/inout/code/deleteCodes",
        method: "post",
        data: query
    });
}

export function commitOrder(query) {
    return axios({
        url: "/warehouse/inout/commit",
        method: "post",
        data: query
    });
}

export function updateExportStatus(query) {
    return axios({
        url: "/udiwms/inout/order/updateExportStatus",
        method: "post",
        data: query
    });
}


export function uploadOrder(query) {
    return axios({
        url: "/warehouse/inout/order/uploadOrder",
        method: "get",
        params: query
    });
}



export function orderDetail(query) {
    return axios(
        {
            url: "/warehouse/inout/order/detail",
            method: "get",
            params: query
        }
    )
}



export function orderGetUdi(query) {
    return axios({
        url: "/udiwms/inout/order/getUdi",
        method: "get",
        params: query
    });
}

export function deleteCodesTempById(query) {
    return axios({
        url: "/warehouse/inout/deleteCodesTempById",
        method: "get",
        params: query
    });
}

export function submitOrderWeb(query) {
    return axios({
        url: "/warehouse/inout/submitOrderWeb",
        method: "get",
        params: query
    });
}

export function orderListError(query) {
    return axios({
        url: "/udiwms/inout/order/error",
        method: "get",
        params: query
    });
}



export function addOrderWeb(query) {
    return axios({
        url: "/warehouse/inout/addOrderWeb",
        method: "post",
        data: query
    });
}

export function postOrdersWeb(query) {
    return axios({
        url: "/warehouse/inout/postOrdersWeb",
        method: "post",
        data: query
    });
}




export function selectNew(query) {
    return axios({
        url: "/admin/warehouse/inout/order/selectNew",
        method: "get",
        params: query
    });
}

export function selectWait(query) {
    return axios({
        url: "/sale/inout/order/selectWait",
        method: "get",
        params: query
    });
}

export function selectStatus(query) {
    return axios({
        url: "/sale/inout/order/selectStatus",
        method: "get",
        params: query
    });
}
export function selectDownload(query) {
    return axios({
        url: "/sale/inout/order/selectDownload",
        method: "get",
        params: query
    });
}

export function selectFinish(query) {
    return axios({
        url: "/sale/inout/order/selectFinish",
        method: "get",
        params: query
    });
}

export function selectSubOrders(query) {
    return axios({
        url: "/sale/inout/order/selectSubOrders",
        method: "get",
        params: query
    });
}





export function backStock(query) {
    return axios(
        {
            url: "/sale/inout/order/backStock",
            method: "get",
            params: query
        }
    )
}


export function moveStock(query) {
    return axios(
        {
            url: "/sale/inout/order/moveStock",
            method: "post",
            data: query
        }
    )
}
export function updateBind(query) {
    return axios(
        {
            url: "/udiwms/erpOrder/updateBind",
            method: "post",
            data: query
        }
    )
}

